Package org.drinkless.tdlib

# Class TdApi.UpdateSpeedLimitNotification

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateSpeedLimitNotification

Enclosing class:
  TdApi

public static class TdApi.UpdateSpeedLimitNotification extends TdApi.Update
Download or upload file speed for the user was limited, but it can be restored by subscription to Telegram Premium. The notification can be postponed until a being downloaded or uploaded file is visible to the user Use getOption("premium_download_speedup") or getOption("premium_upload_speedup") to get expected speedup after subscription to Telegram Premium.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isUpload`
  True, if upload speed was limited; false, if download speed was limited.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateSpeedLimitNotification()`
  Download or upload file speed for the user was limited, but it can be restored by subscription to Telegram Premium.
  `UpdateSpeedLimitNotification(boolean isUpload)`
  Download or upload file speed for the user was limited, but it can be restored by subscription to Telegram Premium.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### isUpload

    public boolean isUpload
    True, if upload speed was limited; false, if download speed was limited.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateSpeedLimitNotification

    public UpdateSpeedLimitNotification()
    Download or upload file speed for the user was limited, but it can be restored by subscription to Telegram Premium. The notification can be postponed until a being downloaded or uploaded file is visible to the user Use getOption("premium_download_speedup") or getOption("premium_upload_speedup") to get expected speedup after subscription to Telegram Premium.

  - ### UpdateSpeedLimitNotification

    public UpdateSpeedLimitNotification(boolean isUpload)
    Download or upload file speed for the user was limited, but it can be restored by subscription to Telegram Premium. The notification can be postponed until a being downloaded or uploaded file is visible to the user Use getOption("premium_download_speedup") or getOption("premium_upload_speedup") to get expected speedup after subscription to Telegram Premium.
    Parameters:
      `isUpload` - True, if upload speed was limited; false, if download speed was limited.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR